## org.eclipse.e4.xwt
Interface ILoadData

    public interface ILoadData

Field Summary
`static ILoadData` `DefaultLoadData`

Method Summary
`java.lang.Object` `getDataContext()`
`org.eclipse.swt.widgets.Composite` `getParent()`
`ResourceDictionary` `getResourceDictionary()`
`int` `getStyles()`
`void` `setDataContext(java.lang.Object dataContext)`
`void` `setParent(org.eclipse.swt.widgets.Composite parent)`
`void` `setResourceDictionary(ResourceDictionary dico)`
`void` `setStyles(int styles)`

Field Detail

### DefaultLoadData

    static final ILoadData DefaultLoadData

Method Detail

### getParent

    org.eclipse.swt.widgets.Composite getParent()

### getStyles

    int getStyles()

### setStyles

    void setStyles(int styles)

### setParent

    void setParent(org.eclipse.swt.widgets.Composite parent)

### getResourceDictionary

    ResourceDictionary getResourceDictionary()

### setResourceDictionary

    void setResourceDictionary(ResourceDictionary dico)

### getDataContext

    java.lang.Object getDataContext()

### setDataContext

    void setDataContext(java.lang.Object dataContext)